=== debian/changelog ===
starpu (1.3.4+dfsg-3) unstable; urgency=medium

  * control: Drop valgrind build-dep on x32, it is not actually currently
    available there.
  * patches/install: Install missing examples (Closes: Bug#964149).
  * tests/examples: Update autopkgtest to StarPU 1.3.4.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 02 Jul 2020 20:03:46 +0200

starpu (1.3.4+dfsg-2) unstable; urgency=medium

  * control: Update debian packaging vcs repository.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 23 Jun 2020 10:21:28 +0200

starpu (1.3.4+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Rename libstarpu-1.3-2 to libstarpu-1.3-3 according to soname bump.
    - Rename libstarpumpi-1.3-1 to libstarpumpi-1.3-2 according to soname bump.
    - patches/git-fxt: Upstreamed.
    - patches/no-schedulers-test: Drop, now useless.
    - patches/doc-nopdf: Drop, replaced by...
    - rules: ... Add --disable-build-doc-pdf configure option.
    - patches/mpi_link: Refresh.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 11 Jun 2020 14:39:01 +0200

starpu (1.3.3+dfsg-3) unstable; urgency=medium

  [ Samuel Thibault ]
  * Rebuild against libhdf5-103-1 (Closes: Bug#955831).
  * control: Drop mention of mips. Enable libnuma-dev dep on all linux archs.
    Enable valgrind on x32.

  [ Andreas Beckmann ]
  * control: Depend on nvidia-cuda-toolkit-gcc instead of nvidia-cuda-toolkit.
  * rules: Use cuda-gcc/g++ instead of hardcoded versions of gcc/g++
    (Closes: Bug#955794).

 -- Samuel Thibault <sthibault@debian.org>  Sat, 11 Apr 2020 15:51:11 +0200
