=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Samuel Thibault <sthibault@debian.org>
 Build-Depends: debhelper (>= 9~), autotools-dev, dh-autoreconf,
 	pkg-config,
-	libnuma-dev [amd64 arm64 i386 ia64 mips mips64 mipsel mips64el powerpc ppc64el],
+	libnuma-dev [linux-any],
 	libglpk-dev,
 	mpi-default-dev,
 	libgl1-mesa-dev | libgl-dev,
@@ -15,25 +15,22 @@
 	libhwloc-dev,
 	libleveldb-dev,
 	libhdf5-dev,
-	valgrind [amd64 arm64 armhf i386 mips mips64 mipsel mips64el powerpc ppc64el s390x],
+	valgrind [amd64 arm64 armhf i386 mips64el mipsel ppc64el s390x powerpc ppc64],
 #	guile-2.2,
 	opencl-c-headers, ocl-icd-opencl-dev | opencl-dev,
 	gfortran,
-#	gcc-8, g++-8, gfortran-8,
-#	clang-7,
 	help2man, doxygen, doxygen-latex,
-#	nvidia-cuda-toolkit (>= 10.1),
-#Build-Conflicts: gcc-8, g++-8
+#	nvidia-cuda-toolkit-gcc (>= 10.1),
 Standards-Version: 4.4.0
 Section: libs
 Homepage: http://starpu.gforge.inria.fr/
-Vcs-Git: https://scm.gforge.inria.fr/anonscm/git/starpu-debian/starpu-debian.git
-Vcs-Browser: https://gforge.inria.fr/scm/browser.php?group_id=9532
+Vcs-Git: https://gitlab.inria.fr/starpu/starpu-debian.git
+Vcs-Browser: https://gitlab.inria.fr/starpu/starpu-debian
 
 Package: libstarpu-dev
 Section: libdevel
 Architecture: any
-Depends: libstarpu-1.3-2 (= ${binary:Version}) | libstarpu-any-1.3-2, libstarpufft-1.3-1 (= ${binary:Version}) | libstarpu-anyfft-1.3-1, libstarpumpi-1.3-1 (= ${binary:Version}) | libstarpu-anympi-1.3-1, libsocl-1.3-0 (= ${binary:Version}) | libsocl-any-1.3-0, ${shlibs:Depends}, ${misc:Depends}, ${gccDeps}, libhwloc-dev, opencl-headers, ocl-icd-opencl-dev
+Depends: libstarpu-1.3-3 (= ${binary:Version}) | libstarpu-any-1.3-3, libstarpufft-1.3-1 (= ${binary:Version}) | libstarpu-anyfft-1.3-1, libstarpumpi-1.3-2 (= ${binary:Version}) | libstarpu-anympi-1.3-1, libsocl-1.3-0 (= ${binary:Version}) | libsocl-any-1.3-0, ${shlibs:Depends}, ${misc:Depends}, ${gccDeps}, libhwloc-dev, opencl-headers, ocl-icd-opencl-dev
 Conflicts: libstarpu-contrib-dev
 Provides: libstarpu-any-dev
 Description: Task scheduler for heterogeneous multicore machines - dev
@@ -48,13 +45,13 @@
  This package contains development headers and libraries.
 # This "contrib" version is built against CUDA.
 
-Package: libstarpu-1.3-2
+Package: libstarpu-1.3-3
 Section: libs
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpu-contrib-1.3-2
-Provides: libstarpu-any-1.3-2
+Conflicts: libstarpu-contrib-1.3-3
+Provides: libstarpu-any-1.3-3
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -86,13 +83,13 @@
  This package contains a hybrid CPU+GPU FFT library.
 # This "contrib" version is built against CUDA.
 
-Package: libstarpumpi-1.3-1
+Package: libstarpumpi-1.3-2
 Section: libs
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpu-contribmpi-1.3-1
-Provides: libstarpu-anympi-1.3-1
+Conflicts: libstarpu-contribmpi-1.3-2
+Provides: libstarpu-anympi-1.3-2
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
