=== debian/changelog ===
starpu (1.3.7+dfsg-3) unstable; urgency=medium

  * control: Make libstarpu-dev depend on libstarpurm-1.3-1
    (Closes: Bug#985436).

 -- Samuel Thibault <sthibault@debian.org>  Thu, 18 Mar 2021 22:50:37 +0100

starpu (1.3.7+dfsg-2) unstable; urgency=medium

  * control: Fix libstarpurm providing libstarpu-anyrm.
  * control: Update packaging URL.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 16 Jan 2021 13:37:36 +0100

starpu (1.3.7+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - control: Rename libstarpu-1.3-4 to libstarpu-1.3-5.
    - patches/starpurm_link: Upstreamed.
    - patches/starpurm_showcheck: Upstreamed.
    - patches/mlr_blas: Upstreamed.
  * starpu-examples.install: Add mpi examples, precalibrated perfmodels,
    opencl codelets.
  * starpu-tools.install: Install perfmodel dtd. Install starpu_t* tools
    (starpu_top is no more). Install ayudame.cfg.
  * not-installed: Rule out *.la. Rule out README.dev.
  * docs: Install missing doc.
  * control: Drop removed gccDeps variable. Drop shlibs:Depends from
    libstarpu-dev, it shouldn't need it.
  * patches/socl_link: Fix linking libsocl against libOpenCL.
  * patches/mpi_link: Drop patch, dh removes spurious rpath, and we need the
    link flags to properly get the libmpi dependency.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 24 Oct 2020 13:14:54 +0200

starpu (1.3.5+dfsg-2) unstable; urgency=medium

  * patches/starpurm_showcheck: Fix showcheck rule inside starpurm.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 10 Sep 2020 17:17:38 +0200

starpu (1.3.5+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - control: Rename
      - libstarpu-1.3-3 to libstarpu-1.3-4
      - libstarpufft-1.3-1 to libstarpufft-1.3-2
      - libstarpumpi-1.3-2 to libstarpumpi-1.3-3
      according to upstream soname bump.
    - control: Add libstarpurm library.
    - patches/install: Upstreamed.
    - rules: Pass --enable-mlr-system-blas to configure.
    - rules: Pass --enable-starpurm-examples to configure.
    - patches/mlr_blas: Fix using system blas.
    - patches/starpurm_link: Fix linking starpurm examples.
  * control: Drop doxygen-latex dependency, we don't build the PDFs any more.
  * control: Bump Standards-Version to 4.5.0 (no change)
  * control: Bump debhelper compat to 12.
  * watch: Update.
  * rules: Drop --parallel and --with autoreconf, now the default.
  * control: Drop the autotools-dev and dh-autoreconf build-deps, now the
    default.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 31 Aug 2020 16:29:30 +0200
