=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: starpu
 Priority: optional
 Maintainer: Samuel Thibault <sthibault@debian.org>
-Build-Depends: debhelper (>= 9~), autotools-dev, dh-autoreconf,
+Build-Depends: debhelper-compat (= 12),
 	pkg-config,
 	libnuma-dev [linux-any],
 	libglpk-dev,
@@ -19,18 +19,18 @@
 #	guile-2.2,
 	opencl-c-headers, ocl-icd-opencl-dev | opencl-dev,
 	gfortran,
-	help2man, doxygen, doxygen-latex,
+	help2man, doxygen,
 #	nvidia-cuda-toolkit-gcc (>= 10.1),
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Section: libs
 Homepage: http://starpu.gforge.inria.fr/
-Vcs-Git: https://gitlab.inria.fr/starpu/starpu-debian.git
-Vcs-Browser: https://gitlab.inria.fr/starpu/starpu-debian
+Vcs-Git: https://salsa.debian.org/debian/starpu.git
+Vcs-Browser: https://salsa.debian.org/debian/starpu
 
 Package: libstarpu-dev
 Section: libdevel
 Architecture: any
-Depends: libstarpu-1.3-3 (= ${binary:Version}) | libstarpu-any-1.3-3, libstarpufft-1.3-1 (= ${binary:Version}) | libstarpu-anyfft-1.3-1, libstarpumpi-1.3-2 (= ${binary:Version}) | libstarpu-anympi-1.3-1, libsocl-1.3-0 (= ${binary:Version}) | libsocl-any-1.3-0, ${shlibs:Depends}, ${misc:Depends}, ${gccDeps}, libhwloc-dev, opencl-headers, ocl-icd-opencl-dev
+Depends: libstarpu-1.3-5 (= ${binary:Version}) | libstarpu-any-1.3-5, libstarpufft-1.3-2 (= ${binary:Version}) | libstarpu-anyfft-1.3-2, libstarpumpi-1.3-3 (= ${binary:Version}) | libstarpu-anympi-1.3-3, libsocl-1.3-0 (= ${binary:Version}) | libsocl-any-1.3-0, libstarpurm-1.3-1 (= ${binary:Version}) | libstarpu-anyrm-1.3-1, ${misc:Depends}, libhwloc-dev, opencl-headers, ocl-icd-opencl-dev
 Conflicts: libstarpu-contrib-dev
 Provides: libstarpu-any-dev
 Description: Task scheduler for heterogeneous multicore machines - dev
@@ -45,13 +45,13 @@
  This package contains development headers and libraries.
 # This "contrib" version is built against CUDA.
 
-Package: libstarpu-1.3-3
+Package: libstarpu-1.3-5
 Section: libs
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpu-contrib-1.3-3
-Provides: libstarpu-any-1.3-3
+Conflicts: libstarpu-contrib-1.3-5
+Provides: libstarpu-any-1.3-5
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -64,13 +64,13 @@
  This package contains the main StarPU library
 # This "contrib" version is built against CUDA.
 
-Package: libstarpufft-1.3-1
+Package: libstarpufft-1.3-2
 Section: libs
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpu-contribfft-1.3-1
-Provides: libstarpu-anyfft-1.3-1
+Conflicts: libstarpu-contribfft-1.3-2
+Provides: libstarpu-anyfft-1.3-2
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -83,13 +83,13 @@
  This package contains a hybrid CPU+GPU FFT library.
 # This "contrib" version is built against CUDA.
 
-Package: libstarpumpi-1.3-2
+Package: libstarpumpi-1.3-3
 Section: libs
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpu-contribmpi-1.3-2
-Provides: libstarpu-anympi-1.3-2
+Conflicts: libstarpu-contribmpi-1.3-3
+Provides: libstarpu-anympi-1.3-3
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -158,3 +158,22 @@
  .
  This package contains an OpenCL-compatible library interface to StarPU.
 # This "contrib" version is built against CUDA.
+
+Package: libstarpurm-1.3-1
+Section: libs
+Architecture: any
+Multi-Arch: same
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libstarpu-contribrm-1.3-1
+Provides: libstarpu-anyrm-1.3-1
+Description: Task scheduler for heterogeneous multicore machines
+ StarPU is a runtime system that offers support for heterogeneous
+ multicore machines. While many efforts are devoted to design efficient
+ computation kernels for those architectures (e.g. to implement BLAS
+ kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
+ offloading such kernels (and implementing data coherency across
+ the machine), but it also makes sure the kernels are executed as
+ efficiently as possible.
+ .
+ This package contains the resource management library.
+# This "contrib" version is built against CUDA.
