=== debian/rules ===
--- 
+++ 
@@ -25,11 +25,16 @@
 endif
 
 %:
-	dh $@ --parallel $(DH_OPTIONS) --with autoreconf
+	dh $@ $(DH_OPTIONS)
 
 override_dh_auto_configure:
-	dh_auto_configure $(DH_OPTIONS) -- --enable-opengl-render \
-		--enable-openmp --enable-quick-check \
+	dh_auto_configure $(DH_OPTIONS) -- \
+		--enable-opengl-render \
+		--enable-openmp \
+		--enable-quick-check \
+		--enable-mlr-system-blas \
+		--enable-starpurm \
+		--enable-starpurm-examples \
 		--docdir=/usr/share/doc/libstarpu-dev --disable-build-doc-pdf \
 		$(CONFIGURE_NODOC)
